org.apache.sysds.runtime.compress.colgroup.insertionsort

## Class MergeSort

- java.lang.Object
- - org.apache.sysds.runtime.compress.colgroup.insertionsort.AInsertionSorter
  - - org.apache.sysds.runtime.compress.colgroup.insertionsort.MergeSort

    public class MergeSort
    extends AInsertionSorter

### Constructor Summary

Constructors
Constructor and Description
`MergeSort(int endLength, int numRows, IntArrayList[] offsets, int negativeIndex)`

### Method Summary

### Methods inherited from class org.apache.sysds.runtime.compress.colgroup.insertionsort.AInsertionSorter

`getData, getIndexes`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MergeSort

    public MergeSort(int endLength,
                     int numRows,
                     IntArrayList[] offsets,
                     int negativeIndex)